LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::drawing::EnhancedCustomShapeGluePointType Constant Group Reference

defines which gluepoints are being offered by the EnhancedCustomShape More...

## Variables
const short | NONE = 0
| no gluepoints are offered More...
const short | SEGMENTS = 1
| gluepoints are offered for each segment More...
const short | CUSTOM = 2
| only gluepoints of the GluePoints property from the com::sun:star::drawing::EnhancedCustomShapePath are offered More...
const short | RECT = 3
| standard top, left, right, bottom gluepoints are offered More...

## Detailed Description

defines which gluepoints are being offered by the EnhancedCustomShape

## Variable Documentation

## ◆ CUSTOM

const short CUSTOM = 2

only gluepoints of the GluePoints property from the com::sun:star::drawing::EnhancedCustomShapePath are offered

## ◆ NONE

const short NONE = 0

no gluepoints are offered

## ◆ RECT

const short RECT = 3

standard top, left, right, bottom gluepoints are offered

## ◆ SEGMENTS

const short SEGMENTS = 1

gluepoints are offered for each segment